<form [formGroup]="filtersForm" class="d-flex align-items-center">
  <mat-form-field class="search-filter-input mr-4">
    @if (!isConformanceTest) {
      <mat-label>Search for {{ itemsName }}</mat-label>
    }
    <mat-icon matPrefix>search</mat-icon>
    <input matInput formControlName="name" />
    @if (filterNameCtrl?.value) {
      <button
        matSuffix
        mat-icon-button
        aria-label="Clear"
        (click)="filterNameCtrl?.reset()"
      >
        <mat-icon>close</mat-icon>
      </button>
    }
  </mat-form-field>

  <mat-form-field appearance="outline" class="slabs-select-filter">
    <mat-label>Status</mat-label>
    <mat-select formControlName="status" panelWidth="fit-content">
      <mat-option class="text-primary" [value]="''">
        {{ noneStatus }}
      </mat-option>
      @for (status of (statuses | keyvalue).values(); track status) {
        <mat-option class="text-primary" [value]="status.value">
          {{ (status.value + "").replaceAll("_", " ") }}
        </mat-option>
      }
    </mat-select>
  </mat-form-field>
</form>
